<?php

    include("../../classes/database.class.php");
    include("../../classes/modoPagamentoModel.class.php");
    include("../../classes/modoPagamentoController.class.php");
    
    $idModoPagamento = $_POST["idModoPagamento"];
    $nome = $_POST["nome"];
    $mecanismoPagamento = $_POST["mecanismoPagamento"];
    $nota = $_POST["nota"];

    if($nome == ""){
        $nome = null;
    }
    if($mecanismoPagamento == ""){
        $mecanismoPagamento = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new ModoPagamentoController($nome, $mecanismoPagamento, $nota);
    $rows = $modelo->updateModoPagamento($idModoPagamento);

   echo json_encode($rows);